Subject: [netconf] Why do we need YANG Patch ?

From: Balázs Lengyel <[email-masked]>
Date: Thu, 18 Jul 2019 08:44:08 +0000

Hello,

I know this probably have discussed earlier, but could someone give me a
short description why do we need YANG patch? As I see it we have 3 patch
methods:

RFC 5789  - PATCH Method for HTTP

RFC 6902 - JSON Patch

RFC 8072 – YANG Patch

Why is the JSON patch not good enough (not used) in Restconf?

Regards Balazs